PLplot: plcore.c File Reference

PLplot 5.15.0

Macros | Functions | Variables
plcore.c File Reference
`#include "plcore.h"`
`#include <errno.h>`

Go to the source code of this file.

## Macros
#define | DEBUG
#define | NEED_PLDEBUG
#define | dirent direct
#define | NAMLEN(dirent) ( dirent )->d_namlen
#define | BUFFER_SIZE 80
#define | BUFFER2_SIZE 300
#define | DRVSPEC_SIZE 400
#define | N_TextLookupTable 10

## Functions
int | text2num (PLCHAR_VECTOR text, char end, PLUNICODE *num)
int | text2fci (PLCHAR_VECTOR text, unsigned char *hexdigit, unsigned char *hexpower)
void | plP_init (void)
void | plP_eop (void)
void | plP_bop (void)
void | plP_tidy (void)
void | plP_state (PLINT op)
void | plP_esc (PLINT op, void *ptr)
void | plP_swin (PLWindow *plwin)
void | plP_wait (void)
void | plP_line (short *x, short *y)
void | plP_polyline (short *x, short *y, PLINT npts)
void | plP_fill (short *x, short *y, PLINT npts)
void | plP_gradient (short *x, short *y, PLINT npts)
static void | alternate_unicode_processing (PLCHAR_VECTOR string, EscText *args)
static void | encode_unicode (PLCHAR_VECTOR string, EscText *args)
void | plP_text (PLINT base, PLFLT just, PLFLT *xform, PLINT x, PLINT y, PLINT refx, PLINT refy, PLCHAR_VECTOR string)
static PLCHAR_VECTOR | utf8_to_ucs4 (PLCHAR_VECTOR ptr, PLUNICODE *unichar)
int | ucs4_to_utf8 (PLUNICODE unichar, char *ptr)
static void | grline (short *x, short *y, PLINT PL_UNUSED(npts))
static void | grpolyline (short *x, short *y, PLINT npts)
static void | grfill (short *x, short *y, PLINT npts)
static void | grgradient (short *x, short *y, PLINT npts)
void | difilt (PLINT *xsc, PLINT *ysc, PLINT npts, PLINT *clpxmi, PLINT *clpxma, PLINT *clpymi, PLINT *clpyma)
void | difilt_clip (PLINT *x_coords, PLINT *y_coords)
static void | setdef_diplt (void)
static void | setdef_didev (void)
static void | setdef_diori (void)
static void | pldi_ini (void)
void | pldid2pc (PLFLT *xmin, PLFLT *ymin, PLFLT *xmax, PLFLT *ymax)
void | pldip2dc (PLFLT *xmin, PLFLT *ymin, PLFLT *xmax, PLFLT *ymax)
void | c_plsdiplt (PLFLT xmin, PLFLT ymin, PLFLT xmax, PLFLT ymax)
void | c_plsdiplz (PLFLT xmin, PLFLT ymin, PLFLT xmax, PLFLT ymax)
static void | calc_diplt (void)
void | c_plgdiplt (PLFLT *p_xmin, PLFLT *p_ymin, PLFLT *p_xmax, PLFLT *p_ymax)
void | c_plsdidev (PLFLT mar, PLFLT aspect, PLFLT jx, PLFLT jy)
static void | calc_didev (void)
void | c_plgdidev (PLFLT *p_mar, PLFLT *p_aspect, PLFLT *p_jx, PLFLT *p_jy)
void | c_plsdiori (PLFLT rot)
static void | calc_diori (void)
void | c_plgdiori (PLFLT *p_rot)
void | c_plsdimap (PLINT dimxmin, PLINT dimxmax, PLINT dimymin, PLINT dimymax, PLFLT dimxpmm, PLFLT dimypmm)
static void | calc_dimap ()
void | c_plflush (void)
void | pllib_init ()
void | c_plstar (PLINT nx, PLINT ny)
void | c_plstart (PLCHAR_VECTOR devname, PLINT nx, PLINT ny)
void | c_plinit (void)
void | c_plend (void)
void | c_plend1 (void)
void | c_plsstrm (PLINT strm)
void | c_plgstrm (PLINT *p_strm)
void | c_plmkstrm (PLINT *p_strm)
void | plstrm_init (void)
void | pl_cpcolor (PLColor *to, PLColor *from)
void | c_plcpstrm (PLINT iplsr, PLINT flags)
void | pllib_devinit ()
int | plInBuildTree ()
static int | plDispatchSequencer (const void *p1, const void *p2)
static void | plInitDispatchTable ()
static void | plSelectDev ()
static void | plLoadDriver (void)
void | c_plfontld (PLINT ifont)
void | c_plreplot (void)
void | plgFileDevs (const char ***p_menustr, const char ***p_devname, int *p_ndev)
void | plgDevs (const char ***p_menustr, const char ***p_devname, int *p_ndev)
static void | plgdevlst (const char **p_menustr, const char **p_devname, int *p_ndev, int type)
void | c_plgpage (PLFLT *p_xp, PLFLT *p_yp, PLINT *p_xleng, PLINT *p_yleng, PLINT *p_xoff, PLINT *p_yoff)
void | c_plspage (PLFLT xp, PLFLT yp, PLINT xleng, PLINT yleng, PLINT xoff, PLINT yoff)
void | c_plssub (PLINT nx, PLINT ny)
void | c_plsdev (PLCHAR_VECTOR devname)
void | c_plgdev (char *p_dev)
void | c_plsmem (PLINT maxx, PLINT maxy, void *plotmem)
void | c_plsmema (PLINT maxx, PLINT maxy, void *plotmem)
void | plgpls (PLStream **p_pls)
void | c_plglevel (PLINT *p_level)
void | plsKeyEH (void(*KeyEH)(PLGraphicsIn *, void *, int *), void *KeyEH_data)
void | plsButtonEH (void(*ButtonEH)(PLGraphicsIn *, void *, int *), void *ButtonEH_data)
void | plsbopH (void(*handler)(void *, int *), void *handler_data)
void | plseopH (void(*handler)(void *, int *), void *handler_data)
void | plsError (PLINT *errcode, char *errmsg)
void | c_plsori (PLINT ori)
void | c_plwidth (PLFLT width)
void | plgfile (FILE **p_file)
void | plsfile (FILE *file)
void | c_plgfnam (char *fnam)
void | c_plsfnam (PLCHAR_VECTOR fnam)
void | plsdevdata (void *data)
void | c_plspause (PLINT p)
void | c_plprec (PLINT setp, PLINT prec)
void | plP_gprec (PLINT *p_setp, PLINT *p_prec)
PLCHAR_VECTOR | plP_gtimefmt ()
void | c_plsesc (char esc)
void | plgesc (char *p_esc)
void | c_plsfci (PLUNICODE fci)
void | c_plgfci (PLUNICODE *p_fci)
void | plP_hex2fci (unsigned char hexdigit, unsigned char hexpower, PLUNICODE *pfci)
void | plP_fci2hex (PLUNICODE fci, unsigned char *phexdigit, unsigned char hexpower)
void | c_plgver (char *p_ver)
void | plsxwin (PLINT window_id)
void | c_plgfam (PLINT *p_fam, PLINT *p_num, PLINT *p_bmax)
void | c_plsfam (PLINT fam, PLINT num, PLINT bmax)
void | c_plfamadv (void)
void | c_plgxax (PLINT *p_digmax, PLINT *p_digits)
void | c_plsxax (PLINT digmax, PLINT digits)
void | c_plgyax (PLINT *p_digmax, PLINT *p_digits)
void | c_plsyax (PLINT digmax, PLINT digits)
void | c_plgzax (PLINT *p_digmax, PLINT *p_digits)
void | c_plszax (PLINT digmax, PLINT digits)
void | c_plgchr (PLFLT *p_def, PLFLT *p_ht)
void | c_plgvpd (PLFLT *p_xmin, PLFLT *p_xmax, PLFLT *p_ymin, PLFLT *p_ymax)
void | c_plgvpw (PLFLT *p_xmin, PLFLT *p_xmax, PLFLT *p_ymin, PLFLT *p_ymax)
void | plP_xgvpw (PLFLT *p_xmin, PLFLT *p_xmax, PLFLT *p_ymin, PLFLT *p_ymax)
void | plP_gdom (PLFLT *p_xmin, PLFLT *p_xmax, PLFLT *p_ymin, PLFLT *p_ymax)
void | plP_grange (PLFLT *p_zscl, PLFLT *p_zmin, PLFLT *p_zmax)
void | plP_gw3wc (PLFLT *p_dxx, PLFLT *p_dxy, PLFLT *p_dyx, PLFLT *p_dyy, PLFLT *p_dyz)
void | plP_gclp (PLINT *p_ixmin, PLINT *p_ixmax, PLINT *p_iymin, PLINT *p_iymax)
void | plP_sclp (PLINT ixmin, PLINT ixmax, PLINT iymin, PLINT iymax)
void | plP_gphy (PLINT *p_ixmin, PLINT *p_ixmax, PLINT *p_iymin, PLINT *p_iymax)
void | plP_gsub (PLINT *p_nx, PLINT *p_ny, PLINT *p_cs)
void | plP_ssub (PLINT nx, PLINT ny, PLINT cs)
void | plP_gpixmm (PLFLT *p_x, PLFLT *p_y)
void | plP_setpxl (PLFLT xpmm, PLFLT ypmm)
void | plP_setphy (PLINT xmin, PLINT xmax, PLINT ymin, PLINT ymax)
void | c_plscompression (PLINT compression)
void | c_plgcompression (PLINT *compression)
void | plP_getinitdriverlist (char *names)
PLINT | plP_checkdriverinit (char *names)
void | plP_image (PLFLT *z, PLINT nx, PLINT ny, PLFLT xmin, PLFLT ymin, PLFLT dx, PLFLT dy, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
void | c_plstransform (PLTRANSFORM_callback coordinate_transform, PLPointer coordinate_transform_data)

## Variables
const char | plP_greek_mnemonic [] = "ABGDEZYHIKLMNCOPRSTUFXQWabgdezyhiklmncoprstufxqw"
static int | foo
static PLUNICODE | unicode_buffer_static [1024]

## Macro Definition Documentation

## ◆ BUFFER2_SIZE

#define BUFFER2_SIZE 300

Definition at line 95 of file plcore.c.

## ◆ BUFFER_SIZE

#define BUFFER_SIZE 80

Definition at line 94 of file plcore.c.

## ◆ DEBUG

#define DEBUG

Definition at line 43 of file plcore.c.

## ◆ dirent

#define dirent direct

Definition at line 68 of file plcore.c.

## ◆ DRVSPEC_SIZE

#define DRVSPEC_SIZE 400

Definition at line 96 of file plcore.c.

## ◆ N_TextLookupTable

#define N_TextLookupTable 10

## ◆ NAMLEN

#define NAMLEN | ( |  | dirent | ) | ( dirent )->d_namlen

Definition at line 69 of file plcore.c.

## ◆ NEED_PLDEBUG

#define NEED_PLDEBUG

Definition at line 44 of file plcore.c.

## Function Documentation

## ◆ alternate_unicode_processing()

static void alternate_unicode_processing | ( | PLCHAR_VECTOR | string,
|  | EscText * | args
| ) |  |
| static

Definition at line 647 of file plcore.c.

## ◆ c_plcpstrm()

void c_plcpstrm | ( | PLINT | iplsr,
|  | PLINT | flags
| ) |  |

Definition at line 2761 of file plcore.c.

## ◆ c_plend()

void c_plend | ( | void |  | ) |

Definition at line 2484 of file plcore.c.

## ◆ c_plend1()

void c_plend1 | ( | void |  | ) |

Definition at line 2542 of file plcore.c.

## ◆ c_plfamadv()

void c_plfamadv | ( | void |  | ) |

Definition at line 4021 of file plcore.c.

## ◆ c_plflush()

void c_plflush | ( | void |  | ) |

Definition at line 2230 of file plcore.c.

## ◆ c_plfontld()

void c_plfontld | ( | PLINT | ifont | ) |

Definition at line 3488 of file plcore.c.

## ◆ c_plgchr()

void c_plgchr | ( | PLFLT * | p_def,
|  | PLFLT * | p_ht
| ) |  |

Definition at line 4088 of file plcore.c.

## ◆ c_plgcompression()

void c_plgcompression | ( | PLINT * | compression | ) |

Definition at line 4285 of file plcore.c.

## ◆ c_plgdev()

void c_plgdev | ( | char * | p_dev | ) |

Definition at line 3658 of file plcore.c.

## ◆ c_plgdidev()

void c_plgdidev | ( | PLFLT * | p_mar,
|  | PLFLT * | p_aspect,
|  | PLFLT * | p_jx,
|  | PLFLT * | p_jy
| ) |  |

Definition at line 2007 of file plcore.c.

## ◆ c_plgdiori()

void c_plgdiori | ( | PLFLT * | p_rot | ) |

Definition at line 2145 of file plcore.c.

## ◆ c_plgdiplt()

void c_plgdiplt | ( | PLFLT * | p_xmin,
|  | PLFLT * | p_ymin,
|  | PLFLT * | p_xmax,
|  | PLFLT * | p_ymax
| ) |  |

Definition at line 1872 of file plcore.c.

## ◆ c_plgfam()

void c_plgfam | ( | PLINT * | p_fam,
|  | PLINT * | p_num,
|  | PLINT * | p_bmax
| ) |  |

Definition at line 3995 of file plcore.c.

## ◆ c_plgfci()

void c_plgfci | ( | PLUNICODE * | p_fci | ) |

Definition at line 3936 of file plcore.c.

## ◆ c_plgfnam()

void c_plgfnam | ( | char * | fnam | ) |

Definition at line 3811 of file plcore.c.

## ◆ c_plglevel()

void c_plglevel | ( | PLINT * | p_level | ) |

Definition at line 3707 of file plcore.c.

## ◆ c_plgpage()

void c_plgpage | ( | PLFLT * | p_xp,
|  | PLFLT * | p_yp,
|  | PLINT * | p_xleng,
|  | PLINT * | p_yleng,
|  | PLINT * | p_xoff,
|  | PLINT * | p_yoff
| ) |  |

Definition at line 3579 of file plcore.c.

## ◆ c_plgstrm()

void c_plgstrm | ( | PLINT * | p_strm | ) |

Definition at line 2652 of file plcore.c.

## ◆ c_plgver()

void c_plgver | ( | char * | p_ver | ) |

Definition at line 3970 of file plcore.c.

## ◆ c_plgvpd()

void c_plgvpd | ( | PLFLT * | p_xmin,
|  | PLFLT * | p_xmax,
|  | PLFLT * | p_ymin,
|  | PLFLT * | p_ymax
| ) |  |

Definition at line 4097 of file plcore.c.

## ◆ c_plgvpw()

void c_plgvpw | ( | PLFLT * | p_xmin,
|  | PLFLT * | p_xmax,
|  | PLFLT * | p_ymin,
|  | PLFLT * | p_ymax
| ) |  |

Definition at line 4108 of file plcore.c.

## ◆ c_plgxax()

void c_plgxax | ( | PLINT * | p_digmax,
|  | PLINT * | p_digits
| ) |  |

Definition at line 4034 of file plcore.c.

## ◆ c_plgyax()

void c_plgyax | ( | PLINT * | p_digmax,
|  | PLINT * | p_digits
| ) |  |

Definition at line 4052 of file plcore.c.

## ◆ c_plgzax()

void c_plgzax | ( | PLINT * | p_digmax,
|  | PLINT * | p_digits
| ) |  |

Definition at line 4070 of file plcore.c.

## ◆ c_plinit()

void c_plinit | ( | void |  | ) |

Definition at line 2325 of file plcore.c.

## ◆ c_plmkstrm()

void c_plmkstrm | ( | PLINT * | p_strm | ) |

Definition at line 2671 of file plcore.c.

## ◆ c_plprec()

void c_plprec | ( | PLINT | setp,
|  | PLINT | prec
| ) |  |

Definition at line 3860 of file plcore.c.

## ◆ c_plreplot()

void c_plreplot | ( | void |  | ) |

Definition at line 3506 of file plcore.c.

## ◆ c_plscompression()

void c_plscompression | ( | PLINT | compression | ) |

Definition at line 4270 of file plcore.c.

## ◆ c_plsdev()

void c_plsdev | ( | PLCHAR_VECTOR | devname | ) |

Definition at line 3640 of file plcore.c.

## ◆ c_plsdidev()

void c_plsdidev | ( | PLFLT | mar,
|  | PLFLT | aspect,
|  | PLFLT | jx,
|  | PLFLT | jy
| ) |  |

Definition at line 1892 of file plcore.c.

## ◆ c_plsdimap()

void c_plsdimap | ( | PLINT | dimxmin,
|  | PLINT | dimxmax,
|  | PLINT | dimymin,
|  | PLINT | dimymax,
|  | PLFLT | dimxpmm,
|  | PLFLT | dimypmm
| ) |  |

Definition at line 2160 of file plcore.c.

## ◆ c_plsdiori()

void c_plsdiori | ( | PLFLT | rot | ) |

Definition at line 2022 of file plcore.c.

## ◆ c_plsdiplt()

void c_plsdiplt | ( | PLFLT | xmin,
|  | PLFLT | ymin,
|  | PLFLT | xmax,
|  | PLFLT | ymax
| ) |  |

Definition at line 1782 of file plcore.c.

## ◆ c_plsdiplz()

void c_plsdiplz | ( | PLFLT | xmin,
|  | PLFLT | ymin,
|  | PLFLT | xmax,
|  | PLFLT | ymax
| ) |  |

Definition at line 1806 of file plcore.c.

## ◆ c_plsesc()

void c_plsesc | ( | char | esc | ) |

Definition at line 3890 of file plcore.c.

## ◆ c_plsfam()

void c_plsfam | ( | PLINT | fam,
|  | PLINT | num,
|  | PLINT | bmax
| ) |  |

Definition at line 4005 of file plcore.c.

## ◆ c_plsfci()

void c_plsfci | ( | PLUNICODE | fci | ) |

Definition at line 3926 of file plcore.c.

## ◆ c_plsfnam()

void c_plsfnam | ( | PLCHAR_VECTOR | fnam | ) |

Definition at line 3830 of file plcore.c.

## ◆ c_plsmem()

void c_plsmem | ( | PLINT | maxx,
|  | PLINT | maxy,
|  | void * | plotmem
| ) |  |

Definition at line 3673 of file plcore.c.

## ◆ c_plsmema()

void c_plsmema | ( | PLINT | maxx,
|  | PLINT | maxy,
|  | void * | plotmem
| ) |  |

Definition at line 3683 of file plcore.c.

## ◆ c_plsori()

void c_plsori | ( | PLINT | ori | ) |

Definition at line 3765 of file plcore.c.

## ◆ c_plspage()

void c_plspage | ( | PLFLT | xp,
|  | PLFLT | yp,
|  | PLINT | xleng,
|  | PLINT | yleng,
|  | PLINT | xoff,
|  | PLINT | yoff
| ) |  |

Definition at line 3593 of file plcore.c.

## ◆ c_plspause()

void c_plspause | ( | PLINT | p | ) |

Definition at line 3852 of file plcore.c.

## ◆ c_plsstrm()

void c_plsstrm | ( | PLINT | strm | ) |

Definition at line 2621 of file plcore.c.

## ◆ c_plssub()

void c_plssub | ( | PLINT | nx,
|  | PLINT | ny
| ) |  |

Definition at line 3617 of file plcore.c.

## ◆ c_plstar()

void c_plstar | ( | PLINT | nx,
|  | PLINT | ny
| ) |  |

Definition at line 2286 of file plcore.c.

## ◆ c_plstart()

void c_plstart | ( | PLCHAR_VECTOR | devname,
|  | PLINT | nx,
|  | PLINT | ny
| ) |  |

Definition at line 2305 of file plcore.c.

## ◆ c_plstransform()

void c_plstransform | ( | PLTRANSFORM_callback | coordinate_transform,
|  | PLPointer | coordinate_transform_data
| ) |  |

Definition at line 4473 of file plcore.c.

## ◆ c_plsxax()

void c_plsxax | ( | PLINT | digmax,
|  | PLINT | digits
| ) |  |

Definition at line 4043 of file plcore.c.

## ◆ c_plsyax()

void c_plsyax | ( | PLINT | digmax,
|  | PLINT | digits
| ) |  |

Definition at line 4061 of file plcore.c.

## ◆ c_plszax()

void c_plszax | ( | PLINT | digmax,
|  | PLINT | digits
| ) |  |

Definition at line 4079 of file plcore.c.

## ◆ c_plwidth()

void c_plwidth | ( | PLFLT | width | ) |

Definition at line 3777 of file plcore.c.

## ◆ calc_didev()

static void calc_didev | ( | void |  | ) |
| static

Definition at line 1918 of file plcore.c.

## ◆ calc_dimap()

static void calc_dimap | ( | void |  | ) |
| static

Definition at line 2184 of file plcore.c.

## ◆ calc_diori()

static void calc_diori | ( | void |  | ) |
| static

Definition at line 2044 of file plcore.c.

## ◆ calc_diplt()

static void calc_diplt | ( | void |  | ) |
| static

Definition at line 1831 of file plcore.c.

## ◆ difilt()

void difilt | ( | PLINT * | xsc,
|  | PLINT * | ysc,
|  | PLINT | npts,
|  | PLINT * | clpxmi,
|  | PLINT * | clpxma,
|  | PLINT * | clpymi,
|  | PLINT * | clpyma
| ) |  |

Definition at line 1460 of file plcore.c.

## ◆ difilt_clip()

void difilt_clip | ( | PLINT * | x_coords,
|  | PLINT * | y_coords
| ) |  |

Definition at line 1603 of file plcore.c.

## ◆ encode_unicode()

static void encode_unicode | ( | PLCHAR_VECTOR | string,
|  | EscText * | args
| ) |  |
| static

Definition at line 924 of file plcore.c.

## ◆ grfill()

static void grfill | ( | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |
| static

Definition at line 1406 of file plcore.c.

## ◆ grgradient()

static void grgradient | ( | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |
| static

Definition at line 1423 of file plcore.c.

## ◆ grline()

static void grline | ( | short * | x,
|  | short * | y,
|  | PLINT | PL_UNUSEDnpts
| ) |  |
| static

Definition at line 1382 of file plcore.c.

## ◆ grpolyline()

static void grpolyline | ( | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |
| static

Definition at line 1394 of file plcore.c.

## ◆ pl_cpcolor()

void pl_cpcolor | ( | PLColor * | to,
|  | PLColor * | from
| ) |  |

Definition at line 2738 of file plcore.c.

## ◆ pldi_ini()

static void pldi_ini | ( | void |  | ) |
| static

Definition at line 1655 of file plcore.c.

## ◆ pldid2pc()

void pldid2pc | ( | PLFLT * | xmin,
|  | PLFLT * | ymin,
|  | PLFLT * | xmax,
|  | PLFLT * | ymax
| ) |  |

Definition at line 1691 of file plcore.c.

## ◆ pldip2dc()

void pldip2dc | ( | PLFLT * | xmin,
|  | PLFLT * | ymin,
|  | PLFLT * | xmax,
|  | PLFLT * | ymax
| ) |  |

Definition at line 1737 of file plcore.c.

## ◆ plDispatchSequencer()

static int plDispatchSequencer | ( | const void * | p1,
|  | const void * | p2
| ) |  |
| static

Definition at line 3010 of file plcore.c.

## ◆ plgdevlst()

static void plgdevlst | ( | const char ** | p_menustr,
|  | const char ** | p_devname,
|  | int * | p_ndev,
|  | int | type
| ) |  |
| static

Definition at line 3548 of file plcore.c.

## ◆ plgDevs()

void plgDevs | ( | const char *** | p_menustr,
|  | const char *** | p_devname,
|  | int * | p_ndev
| ) |  |

Definition at line 3542 of file plcore.c.

## ◆ plgesc()

void plgesc | ( | char * | p_esc | ) |

Definition at line 3914 of file plcore.c.

## ◆ plgfile()

void plgfile | ( | FILE ** | p_file | ) |

Definition at line 3794 of file plcore.c.

## ◆ plgFileDevs()

void plgFileDevs | ( | const char *** | p_menustr,
|  | const char *** | p_devname,
|  | int * | p_ndev
| ) |  |

Definition at line 3530 of file plcore.c.

## ◆ plgpls()

void plgpls | ( | PLStream ** | p_pls | ) |

Definition at line 3693 of file plcore.c.

## ◆ plInBuildTree()

int plInBuildTree | ( | void |  | ) |

Definition at line 2888 of file plcore.c.

## ◆ plInitDispatchTable()

static void plInitDispatchTable | ( | void |  | ) |
| static

Definition at line 3022 of file plcore.c.

## ◆ pllib_devinit()

void pllib_devinit | ( | void |  | ) |

Definition at line 2874 of file plcore.c.

## ◆ pllib_init()

void pllib_init | ( | void |  | ) |

Definition at line 2262 of file plcore.c.

## ◆ plLoadDriver()

static void plLoadDriver | ( | void |  | ) |
| static

Definition at line 3378 of file plcore.c.

## ◆ plP_bop()

void plP_bop | ( | void |  | ) |

Definition at line 198 of file plcore.c.

## ◆ plP_checkdriverinit()

PLINT plP_checkdriverinit | ( | char * | names | ) |

Definition at line 4332 of file plcore.c.

## ◆ plP_eop()

void plP_eop | ( | void |  | ) |

Definition at line 164 of file plcore.c.

## ◆ plP_esc()

void plP_esc | ( | PLINT | op,
|  | void * | ptr
| ) |  |

Definition at line 273 of file plcore.c.

## ◆ plP_fci2hex()

void plP_fci2hex | ( | PLUNICODE | fci,
|  | unsigned char * | phexdigit,
|  | unsigned char | hexpower
| ) |  |

Definition at line 3958 of file plcore.c.

## ◆ plP_fill()

void plP_fill | ( | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |

Definition at line 451 of file plcore.c.

## ◆ plP_gclp()

void plP_gclp | ( | PLINT * | p_ixmin,
|  | PLINT * | p_ixmax,
|  | PLINT * | p_iymin,
|  | PLINT * | p_iymax
| ) |  |

Definition at line 4174 of file plcore.c.

## ◆ plP_gdom()

void plP_gdom | ( | PLFLT * | p_xmin,
|  | PLFLT * | p_xmax,
|  | PLFLT * | p_ymin,
|  | PLFLT * | p_ymax
| ) |  |

Definition at line 4141 of file plcore.c.

## ◆ plP_getinitdriverlist()

void plP_getinitdriverlist | ( | char * | names | ) |

Definition at line 4302 of file plcore.c.

## ◆ plP_gphy()

void plP_gphy | ( | PLINT * | p_ixmin,
|  | PLINT * | p_ixmax,
|  | PLINT * | p_iymin,
|  | PLINT * | p_iymax
| ) |  |

Definition at line 4198 of file plcore.c.

## ◆ plP_gpixmm()

void plP_gpixmm | ( | PLFLT * | p_x,
|  | PLFLT * | p_y
| ) |  |

Definition at line 4229 of file plcore.c.

## ◆ plP_gprec()

void plP_gprec | ( | PLINT * | p_setp,
|  | PLINT * | p_prec
| ) |  |

Definition at line 3869 of file plcore.c.

## ◆ plP_gradient()

void plP_gradient | ( | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |

Definition at line 516 of file plcore.c.

## ◆ plP_grange()

void plP_grange | ( | PLFLT * | p_zscl,
|  | PLFLT * | p_zmin,
|  | PLFLT * | p_zmax
| ) |  |

Definition at line 4152 of file plcore.c.

## ◆ plP_gsub()

void plP_gsub | ( | PLINT * | p_nx,
|  | PLINT * | p_ny,
|  | PLINT * | p_cs
| ) |  |

Definition at line 4209 of file plcore.c.

## ◆ plP_gtimefmt()

PLCHAR_VECTOR plP_gtimefmt | ( | void |  | ) |

Definition at line 3876 of file plcore.c.

## ◆ plP_gw3wc()

void plP_gw3wc | ( | PLFLT * | p_dxx,
|  | PLFLT * | p_dxy,
|  | PLFLT * | p_dyx,
|  | PLFLT * | p_dyy,
|  | PLFLT * | p_dyz
| ) |  |

Definition at line 4162 of file plcore.c.

## ◆ plP_hex2fci()

void plP_hex2fci | ( | unsigned char | hexdigit,
|  | unsigned char | hexpower,
|  | PLUNICODE * | pfci
| ) |  |

Definition at line 3945 of file plcore.c.

## ◆ plP_image()

void plP_image | ( | PLFLT * | z,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | xmin,
|  | PLFLT | ymin,
|  | PLFLT | dx,
|  | PLFLT | dy,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 4375 of file plcore.c.

## ◆ plP_init()

void plP_init | ( | void |  | ) |

Definition at line 145 of file plcore.c.

## ◆ plP_line()

void plP_line | ( | short * | x,
|  | short * | y
| ) |  |

Definition at line 388 of file plcore.c.

## ◆ plP_polyline()

void plP_polyline | ( | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |

Definition at line 417 of file plcore.c.

## ◆ plP_sclp()

void plP_sclp | ( | PLINT | ixmin,
|  | PLINT | ixmax,
|  | PLINT | iymin,
|  | PLINT | iymax
| ) |  |

Definition at line 4185 of file plcore.c.

## ◆ plP_setphy()

void plP_setphy | ( | PLINT | xmin,
|  | PLINT | xmax,
|  | PLINT | ymin,
|  | PLINT | ymax
| ) |  |

Definition at line 4249 of file plcore.c.

## ◆ plP_setpxl()

void plP_setpxl | ( | PLFLT | xpmm,
|  | PLFLT | ypmm
| ) |  |

Definition at line 4238 of file plcore.c.

## ◆ plP_ssub()

void plP_ssub | ( | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | cs
| ) |  |

Definition at line 4219 of file plcore.c.

## ◆ plP_state()

void plP_state | ( | PLINT | op | ) |

Definition at line 256 of file plcore.c.

## ◆ plP_swin()

void plP_swin | ( | PLWindow * | plwin | ) |

Definition at line 308 of file plcore.c.

## ◆ plP_text()

void plP_text | ( | PLINT | base,
|  | PLFLT | just,
|  | PLFLT * | xform,
|  | PLINT | x,
|  | PLINT | y,
|  | PLINT | refx,
|  | PLINT | refy,
|  | PLCHAR_VECTOR | string
| ) |  |

Definition at line 1186 of file plcore.c.

## ◆ plP_tidy()

void plP_tidy | ( | void |  | ) |

Definition at line 231 of file plcore.c.

## ◆ plP_wait()

void plP_wait | ( | void |  | ) |

Definition at line 365 of file plcore.c.

## ◆ plP_xgvpw()

void plP_xgvpw | ( | PLFLT * | p_xmin,
|  | PLFLT * | p_xmax,
|  | PLFLT * | p_ymin,
|  | PLFLT * | p_ymax
| ) |  |

Definition at line 4118 of file plcore.c.

## ◆ plsbopH()

void plsbopH | ( | void(*)(void *, int *) | handler,
|  | void * | handler_data
| ) |  |

Definition at line 3735 of file plcore.c.

## ◆ plsButtonEH()

void plsButtonEH | ( | void(*)(PLGraphicsIn *, void *, int *) | ButtonEH,
|  | void * | ButtonEH_data
| ) |  |

Definition at line 3725 of file plcore.c.

## ◆ plsdevdata()

void plsdevdata | ( | void * | data | ) |

Definition at line 3844 of file plcore.c.

## ◆ plSelectDev()

static void plSelectDev | ( | void |  | ) |
| static

Definition at line 3269 of file plcore.c.

## ◆ plseopH()

void plseopH | ( | void(*)(void *, int *) | handler,
|  | void * | handler_data
| ) |  |

Definition at line 3744 of file plcore.c.

## ◆ plsError()

void plsError | ( | PLINT * | errcode,
|  | char * | errmsg
| ) |  |

Definition at line 3753 of file plcore.c.

## ◆ plsfile()

void plsfile | ( | FILE * | file | ) |

Definition at line 3802 of file plcore.c.

## ◆ plsKeyEH()

void plsKeyEH | ( | void(*)(PLGraphicsIn *, void *, int *) | KeyEH,
|  | void * | KeyEH_data
| ) |  |

Definition at line 3715 of file plcore.c.

## ◆ plstrm_init()

void plstrm_init | ( | void |  | ) |

Definition at line 2711 of file plcore.c.

## ◆ plsxwin()

void plsxwin | ( | PLINT | window_id | ) |

Definition at line 3978 of file plcore.c.

## ◆ setdef_didev()

static void setdef_didev | ( | void |  | ) |
| static

Definition at line 1640 of file plcore.c.

## ◆ setdef_diori()

static void setdef_diori | ( | void |  | ) |
| static

Definition at line 1649 of file plcore.c.

## ◆ setdef_diplt()

static void setdef_diplt | ( | void |  | ) |
| static

Definition at line 1631 of file plcore.c.

## ◆ text2fci()

int text2fci | ( | PLCHAR_VECTOR | text,
|  | unsigned char * | hexdigit,
|  | unsigned char * | hexpower
| ) |  |

Definition at line 605 of file plcore.c.

## ◆ text2num()

int text2num | ( | PLCHAR_VECTOR | text,
|  | char | end,
|  | PLUNICODE * | num
| ) |  |

Definition at line 566 of file plcore.c.

## ◆ ucs4_to_utf8()

int ucs4_to_utf8 | ( | PLUNICODE | unichar,
|  | char * | ptr
| ) |  |

Definition at line 1329 of file plcore.c.

## ◆ utf8_to_ucs4()

static PLCHAR_VECTOR utf8_to_ucs4 | ( | PLCHAR_VECTOR | ptr,
|  | PLUNICODE * | unichar
| ) |  |
| static

Definition at line 1260 of file plcore.c.

## Variable Documentation

## ◆ foo

int foo
| static

Definition at line 448 of file plcore.c.

## ◆ plP_greek_mnemonic

const char plP_greek_mnemonic[] = "ABGDEZYHIKLMNCOPRSTUFXQWabgdezyhiklmncoprstufxqw"

Definition at line 142 of file plcore.c.

## ◆ unicode_buffer_static

PLUNICODE unicode_buffer_static[1024]
| static

Definition at line 1183 of file plcore.c.